<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: slot_caps struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>slot_caps Struct Reference<br>
<small>
[<a class="el" href="group__sdriver.html">SDIO slot driver API</a>]</small>
</h1><code>#include &lt;<a class="el" href="slot__api_8h-source.html">slot_api.h</a>&gt;</code>
<p>
<table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structslot__caps.html#o0">max_bus_freq</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>int&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structslot__caps.html#o1">max_bus_width</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint8_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structslot__caps.html#o2">cspi_mode</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
SDIO slot capabilities. 
<p>
<hr><h2>Field Documentation</h2>
<a class="anchor" name="o2" doxytag="slot_caps::cspi_mode" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint8_t <a class="el" href="structslot__caps.html#o2">slot_caps::cspi_mode</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
CSPI_MODE register value (for CSPI capable slots).     </td>
  </tr>
</table>
<a class="anchor" name="o0" doxytag="slot_caps::max_bus_freq" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int <a class="el" href="structslot__caps.html#o0">slot_caps::max_bus_freq</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Maximum bus frequency (Hz).     </td>
  </tr>
</table>
<a class="anchor" name="o1" doxytag="slot_caps::max_bus_width" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> int <a class="el" href="structslot__caps.html#o1">slot_caps::max_bus_width</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Maximum bus width supported (1 or 4 data lines).     </td>
  </tr>
</table>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/<a class="el" href="slot__api_8h-source.html">slot_api.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
